// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef TINY_SHAPE_DATA_H
#define TINY_SHAPE_DATA_H

/// position xyz, unused w, normal, uv
static const float cube_vertices[] = {
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  0,  1,  0,
    0,  // 0
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  0,  1,  1,
    0,  // 1
    1.0f,  1.0f,  1.0f,  1.0f, 0,  0,  1,  1,
    1,  // 2
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  0,  1,  0,
    1,  // 3

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  0,  -1, 0,
    0,  // 4
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  0,  -1, 1,
    0,  // 5
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  0,  -1, 1,
    1,  // 6
    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  0,  -1, 0,
    1,  // 7

    -1.0f, -1.0f, -1.0f, 1.0f, -1, 0,  0,  0, 0,
    -1.0f, 1.0f,  -1.0f, 1.0f, -1, 0,  0,  1, 0,
    -1.0f, 1.0f,  1.0f,  1.0f, -1, 0,  0,  1, 1,
    -1.0f, -1.0f, 1.0f,  1.0f, -1, 0,  0,  0, 1,

    1.0f,  -1.0f, -1.0f, 1.0f, 1,  0,  0,  0, 0,
    1.0f,  1.0f,  -1.0f, 1.0f, 1,  0,  0,  1, 0,
    1.0f,  1.0f,  1.0f,  1.0f, 1,  0,  0,  1, 1,
    1.0f,  -1.0f, 1.0f,  1.0f, 1,  0,  0,  0, 1,

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0, 0,
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  -1, 0,  1, 0,
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  -1, 0,  1, 1,
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0, 1,

    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  1,  0,  0, 0,
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  1,  0,  1, 0,
    1.0f,  1.0f,  1.0f,  1.0f, 0,  1,  0,  1, 1,
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  1,  0,  0, 1,
};

/// position xyz, unused w, normal, uv
static const float cube_vertices_textured[] = {
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  0,  1,  0.75,
    0.25,  // 0//back
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  0,  1,  1,
    0.25,  // 1
    1.0f,  1.0f,  1.0f,  1.0f, 0,  0,  1,  1,
    0,  // 2
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  0,  1,  0.75,
    0,  // 3

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  0,  -1, 0.5,
    0.25,  // 4//front
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  0,  -1, 0.25,
    0.25,  // 5
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  0,  -1, 0.25,
    0,  // 6
    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  0,  -1, 0.5,
    0,  // 7

    -1.0f, -1.0f, -1.0f, 1.0f, -1, 0,  0,  0.5,
    0,  // Right
    -1.0f, 1.0f,  -1.0f, 1.0f, -1, 0,  0,  0.75, 0,
    -1.0f, 1.0f,  1.0f,  1.0f, -1, 0,  0,  0.75, 0.25,
    -1.0f, -1.0f, 1.0f,  1.0f, -1, 0,  0,  0.5,  0.25,

    1.0f,  -1.0f, -1.0f, 1.0f, 1,  0,  0,  0.25,
    0.5,  // Left
    1.0f,  1.0f,  -1.0f, 1.0f, 1,  0,  0,  0.25, 0.25,
    1.0f,  1.0f,  1.0f,  1.0f, 1,  0,  0,  0.,   .25,
    1.0f,  -1.0f, 1.0f,  1.0f, 1,  0,  0,  0,    .5,

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0.25,
    0.5,  // bottom
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  -1, 0,  0.25, 0.25,
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  -1, 0,  0.5,  0.25,
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0.5,  0.5,

    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  1,  0,  0,
    0,  // top
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  1,  0,  0,    0.25,
    1.0f,  1.0f,  1.0f,  1.0f, 0,  1,  0,  0.25, 0.25,
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  1,  0,  0.25, 0,
};

/// position xyz, unused w, normal, uv
static const float cube_vertices2[] = {
    -1.5f, -0.5f, 0.5f,  0.0f, 0,  0,  1,  0,
    0,  // 0
    1.5f,  -0.5f, 0.5f,  0.0f, 0,  0,  1,  1,
    0,  // 1
    1.5f,  0.5f,  0.5f,  0.0f, 0,  0,  1,  1,
    1,  // 2
    -1.5f, 0.5f,  0.5f,  0.0f, 0,  0,  1,  0,
    1,  // 3

    -1.5f, -0.5f, -0.5f, 0.5f, 0,  0,  -1, 0,
    0,  // 4
    1.5f,  -0.5f, -0.5f, 0.5f, 0,  0,  -1, 1,
    0,  // 5
    1.5f,  0.5f,  -0.5f, 0.5f, 0,  0,  -1, 1,
    1,  // 6
    -1.5f, 0.5f,  -0.5f, 0.5f, 0,  0,  -1, 0,
    1,  // 7

    -1.5f, -0.5f, -0.5f, 0.5f, -1, 0,  0,  0, 0,
    -1.5f, 0.5f,  -0.5f, 0.5f, -1, 0,  0,  1, 0,
    -1.5f, 0.5f,  0.5f,  0.5f, -1, 0,  0,  1, 1,
    -1.5f, -0.5f, 0.5f,  0.5f, -1, 0,  0,  0, 1,

    1.5f,  -0.5f, -0.5f, 0.5f, 1,  0,  0,  0, 0,
    1.5f,  0.5f,  -0.5f, 0.5f, 1,  0,  0,  1, 0,
    1.5f,  0.5f,  0.5f,  0.5f, 1,  0,  0,  1, 1,
    1.5f,  -0.5f, 0.5f,  0.5f, 1,  0,  0,  0, 1,

    -1.5f, -0.5f, -0.5f, 0.5f, 0,  -1, 0,  0, 0,
    -1.5f, -0.5f, 0.5f,  0.5f, 0,  -1, 0,  1, 0,
    1.5f,  -0.5f, 0.5f,  0.5f, 0,  -1, 0,  1, 1,
    1.5f,  -0.5f, -0.5f, 0.5f, 0,  -1, 0,  0, 1,

    -1.5f, 0.5f,  -0.5f, 0.5f, 0,  1,  0,  0, 0,
    -1.5f, 0.5f,  0.5f,  0.5f, 0,  1,  0,  1, 0,
    1.5f,  0.5f,  0.5f,  0.5f, 0,  1,  0,  1, 1,
    1.5f,  0.5f,  -0.5f, 0.5f, 0,  1,  0,  0, 1,
};

static const int cube_indices[] = {0,  1,  2,  0,  2,  3,  // ground face
                                   6,  5,  4,  7,  6,  4,  // top face
                                   10, 9,  8,  11, 10, 8,  12, 13,
                                   14, 12, 14, 15, 18, 17, 16, 19,
                                   18, 16, 20, 21, 22, 20, 22, 23};

static const float textured_sphere_vertices[] = {
 0.000000, 0.879385, 0.500000, 0.000000, 0.000000, 0.869900, 0.493200, 0.500144, 0.744995,
0.000000, 0.652704, 0.766044, 0.000000, -0.000000, 0.653800, 0.756700, 0.500144, 0.876330,
0.326352, 0.565258, 0.766044, 0.000000, 0.326900, 0.566200, 0.756700, 0.661251, 0.876330,
0.000000, 0.879385, 0.500000, 0.000000, 0.000000, 0.869900, 0.493200, 0.500144, 0.744995,
0.326352, 0.565258, 0.766044, 0.000000, 0.326900, 0.566200, 0.756700, 0.661251, 0.876330,
0.439693, 0.761570, 0.500000, 0.000000, 0.435000, 0.753400, 0.493200, 0.717203, 0.744995,
0.000000, 0.652704, -0.766044, 0.000000, -0.000000, 0.653800, -0.756700, 0.500144, 0.119997,
0.000000, 0.879385, -0.500000, 0.000000, -0.000000, 0.869900, -0.493200, 0.500144, 0.251333,
0.439693, 0.761570, -0.500000, 0.000000, 0.435000, 0.753400, -0.493200, 0.717203, 0.251333,
0.000000, 0.652704, -0.766044, 0.000000, -0.000000, 0.653800, -0.756700, 0.500144, 0.119997,
0.439693, 0.761570, -0.500000, 0.000000, 0.435000, 0.753400, -0.493200, 0.717203, 0.251333,
0.326352, 0.565258, -0.766044, 0.000000, 0.326900, 0.566200, -0.756700, 0.661251, 0.119997,
0.000000, 1.000000, 0.173648, 0.000000, -0.000000, 0.985200, 0.171300, 0.500144, 0.583887,
0.000000, 0.879385, 0.500000, 0.000000, 0.000000, 0.869900, 0.493200, 0.500144, 0.744995,
0.439693, 0.761570, 0.500000, 0.000000, 0.435000, 0.753400, 0.493200, 0.717203, 0.744995,
0.000000, 1.000000, 0.173648, 0.000000, -0.000000, 0.985200, 0.171300, 0.500144, 0.583887,
0.439693, 0.761570, 0.500000, 0.000000, 0.435000, 0.753400, 0.493200, 0.717203, 0.744995,
0.500000, 0.866026, 0.173648, 0.000000, 0.492600, 0.853200, 0.171300, 0.746974, 0.583887,
0.000000, 0.347296, 0.939693, 0.000000, -0.000000, 0.362500, 0.932000, 0.500144, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
0.173648, 0.300768, 0.939693, 0.000000, 0.181300, 0.313900, 0.932000, 0.585867, 0.962054,
0.000000, 0.347296, -0.939693, 0.000000, -0.000000, 0.362500, -0.932000, 0.500144, 0.034273,
0.000000, 0.652704, -0.766044, 0.000000, -0.000000, 0.653800, -0.756700, 0.500144, 0.119997,
0.326352, 0.565258, -0.766044, 0.000000, 0.326900, 0.566200, -0.756700, 0.661251, 0.119997,
0.000000, 0.347296, -0.939693, 0.000000, -0.000000, 0.362500, -0.932000, 0.500144, 0.034273,
0.326352, 0.565258, -0.766044, 0.000000, 0.326900, 0.566200, -0.756700, 0.661251, 0.119997,
0.173648, 0.300768, -0.939693, 0.000000, 0.181300, 0.313900, -0.932000, 0.585867, 0.034273,
0.000000, 1.000000, -0.173648, 0.000000, -0.000000, 0.985200, -0.171300, 0.500144, 0.412440,
0.000000, 1.000000, 0.173648, 0.000000, -0.000000, 0.985200, 0.171300, 0.500144, 0.583887,
0.500000, 0.866026, 0.173648, 0.000000, 0.492600, 0.853200, 0.171300, 0.746974, 0.583887,
0.000000, 1.000000, -0.173648, 0.000000, -0.000000, 0.985200, -0.171300, 0.500144, 0.412440,
0.500000, 0.866026, 0.173648, 0.000000, 0.492600, 0.853200, 0.171300, 0.746974, 0.583887,
0.500000, 0.866026, -0.173648, 0.000000, 0.492600, 0.853200, -0.171300, 0.746974, 0.412440,
0.000000, 0.652704, 0.766044, 0.000000, -0.000000, 0.653800, 0.756700, 0.500144, 0.876330,
0.000000, 0.347296, 0.939693, 0.000000, -0.000000, 0.362500, 0.932000, 0.500144, 0.962054,
0.173648, 0.300768, 0.939693, 0.000000, 0.181300, 0.313900, 0.932000, 0.585867, 0.962054,
0.000000, 0.652704, 0.766044, 0.000000, -0.000000, 0.653800, 0.756700, 0.500144, 0.876330,
0.173648, 0.300768, 0.939693, 0.000000, 0.181300, 0.313900, 0.932000, 0.585867, 0.962054,
0.326352, 0.565258, 0.766044, 0.000000, 0.326900, 0.566200, 0.756700, 0.661251, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
0.000000, 0.347296, -0.939693, 0.000000, -0.000000, 0.362500, -0.932000, 0.500144, 0.034273,
0.173648, 0.300768, -0.939693, 0.000000, 0.181300, 0.313900, -0.932000, 0.585867, 0.034273,
0.000000, 0.879385, -0.500000, 0.000000, -0.000000, 0.869900, -0.493200, 0.500144, 0.251333,
0.000000, 1.000000, -0.173648, 0.000000, -0.000000, 0.985200, -0.171300, 0.500144, 0.412440,
0.500000, 0.866026, -0.173648, 0.000000, 0.492600, 0.853200, -0.171300, 0.746974, 0.412440,
0.000000, 0.879385, -0.500000, 0.000000, -0.000000, 0.869900, -0.493200, 0.500144, 0.251333,
0.500000, 0.866026, -0.173648, 0.000000, 0.492600, 0.853200, -0.171300, 0.746974, 0.412440,
0.439693, 0.761570, -0.500000, 0.000000, 0.435000, 0.753400, -0.493200, 0.717203, 0.251333,
0.500000, 0.866026, 0.173648, 0.000000, 0.492600, 0.853200, 0.171300, 0.746974, 0.583887,
0.439693, 0.761570, 0.500000, 0.000000, 0.435000, 0.753400, 0.493200, 0.717203, 0.744995,
0.761570, 0.439693, 0.500000, 0.000000, 0.753400, 0.435000, 0.493200, 0.876102, 0.744995,
0.500000, 0.866026, 0.173648, 0.000000, 0.492600, 0.853200, 0.171300, 0.746974, 0.583887,
0.761570, 0.439693, 0.500000, 0.000000, 0.753400, 0.435000, 0.493200, 0.876102, 0.744995,
0.866025, 0.500000, 0.173648, 0.000000, 0.853200, 0.492600, 0.171300, 0.927667, 0.583887,
0.173648, 0.300768, 0.939693, 0.000000, 0.181300, 0.313900, 0.932000, 0.585867, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
0.300767, 0.173648, 0.939693, 0.000000, 0.313900, 0.181300, 0.932000, 0.648621, 0.962054,
0.173648, 0.300768, -0.939693, 0.000000, 0.181300, 0.313900, -0.932000, 0.585867, 0.034273,
0.326352, 0.565258, -0.766044, 0.000000, 0.326900, 0.566200, -0.756700, 0.661251, 0.119997,
0.565258, 0.326352, -0.766044, 0.000000, 0.566200, 0.326900, -0.756700, 0.779190, 0.119997,
0.173648, 0.300768, -0.939693, 0.000000, 0.181300, 0.313900, -0.932000, 0.585867, 0.034273,
0.565258, 0.326352, -0.766044, 0.000000, 0.566200, 0.326900, -0.756700, 0.779190, 0.119997,
0.300767, 0.173648, -0.939693, 0.000000, 0.313900, 0.181300, -0.932000, 0.648621, 0.034274,
0.500000, 0.866026, -0.173648, 0.000000, 0.492600, 0.853200, -0.171300, 0.746974, 0.412440,
0.500000, 0.866026, 0.173648, 0.000000, 0.492600, 0.853200, 0.171300, 0.746974, 0.583887,
0.866025, 0.500000, 0.173648, 0.000000, 0.853200, 0.492600, 0.171300, 0.927667, 0.583887,
0.500000, 0.866026, -0.173648, 0.000000, 0.492600, 0.853200, -0.171300, 0.746974, 0.412440,
0.866025, 0.500000, 0.173648, 0.000000, 0.853200, 0.492600, 0.171300, 0.927667, 0.583887,
0.866025, 0.500000, -0.173648, 0.000000, 0.853200, 0.492600, -0.171300, 0.927667, 0.412440,
0.326352, 0.565258, 0.766044, 0.000000, 0.326900, 0.566200, 0.756700, 0.661251, 0.876330,
0.173648, 0.300768, 0.939693, 0.000000, 0.181300, 0.313900, 0.932000, 0.585867, 0.962054,
0.300767, 0.173648, 0.939693, 0.000000, 0.313900, 0.181300, 0.932000, 0.648621, 0.962054,
0.326352, 0.565258, 0.766044, 0.000000, 0.326900, 0.566200, 0.756700, 0.661251, 0.876330,
0.300767, 0.173648, 0.939693, 0.000000, 0.313900, 0.181300, 0.932000, 0.648621, 0.962054,
0.565258, 0.326352, 0.766044, 0.000000, 0.566200, 0.326900, 0.756700, 0.779190, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
0.173648, 0.300768, -0.939693, 0.000000, 0.181300, 0.313900, -0.932000, 0.585867, 0.034273,
0.300767, 0.173648, -0.939693, 0.000000, 0.313900, 0.181300, -0.932000, 0.648621, 0.034274,
0.439693, 0.761570, -0.500000, 0.000000, 0.435000, 0.753400, -0.493200, 0.717203, 0.251333,
0.500000, 0.866026, -0.173648, 0.000000, 0.492600, 0.853200, -0.171300, 0.746974, 0.412440,
0.866025, 0.500000, -0.173648, 0.000000, 0.853200, 0.492600, -0.171300, 0.927667, 0.412440,
0.439693, 0.761570, -0.500000, 0.000000, 0.435000, 0.753400, -0.493200, 0.717203, 0.251333,
0.866025, 0.500000, -0.173648, 0.000000, 0.853200, 0.492600, -0.171300, 0.927667, 0.412440,
0.761570, 0.439693, -0.500000, 0.000000, 0.753400, 0.435000, -0.493200, 0.876102, 0.251333,
0.439693, 0.761570, 0.500000, 0.000000, 0.435000, 0.753400, 0.493200, 0.717203, 0.744995,
0.326352, 0.565258, 0.766044, 0.000000, 0.326900, 0.566200, 0.756700, 0.661251, 0.876330,
0.565258, 0.326352, 0.766044, 0.000000, 0.566200, 0.326900, 0.756700, 0.779190, 0.876330,
0.439693, 0.761570, 0.500000, 0.000000, 0.435000, 0.753400, 0.493200, 0.717203, 0.744995,
0.565258, 0.326352, 0.766044, 0.000000, 0.566200, 0.326900, 0.756700, 0.779190, 0.876330,
0.761570, 0.439693, 0.500000, 0.000000, 0.753400, 0.435000, 0.493200, 0.876102, 0.744995,
0.326352, 0.565258, -0.766044, 0.000000, 0.326900, 0.566200, -0.756700, 0.661251, 0.119997,
0.439693, 0.761570, -0.500000, 0.000000, 0.435000, 0.753400, -0.493200, 0.717203, 0.251333,
0.761570, 0.439693, -0.500000, 0.000000, 0.753400, 0.435000, -0.493200, 0.876102, 0.251333,
0.326352, 0.565258, -0.766044, 0.000000, 0.326900, 0.566200, -0.756700, 0.661251, 0.119997,
0.761570, 0.439693, -0.500000, 0.000000, 0.753400, 0.435000, -0.493200, 0.876102, 0.251333,
0.565258, 0.326352, -0.766044, 0.000000, 0.566200, 0.326900, -0.756700, 0.779190, 0.119997,
0.565258, 0.326352, 0.766044, 0.000000, 0.566200, 0.326900, 0.756700, 0.779190, 0.876330,
0.300767, 0.173648, 0.939693, 0.000000, 0.313900, 0.181300, 0.932000, 0.648621, 0.962054,
0.347296, 0.000000, 0.939693, 0.000000, 0.362500, 0.000000, 0.932000, 0.671590, 0.962054,
0.565258, 0.326352, 0.766044, 0.000000, 0.566200, 0.326900, 0.756700, 0.779190, 0.876330,
0.347296, 0.000000, 0.939693, 0.000000, 0.362500, 0.000000, 0.932000, 0.671590, 0.962054,
0.652704, 0.000000, 0.766044, 0.000000, 0.653800, -0.000000, 0.756700, 0.822359, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
0.300767, 0.173648, -0.939693, 0.000000, 0.313900, 0.181300, -0.932000, 0.648621, 0.034274,
0.347296, 0.000000, -0.939693, 0.000000, 0.362500, 0.000000, -0.932000, 0.671590, 0.034274,
0.761570, 0.439693, -0.500000, 0.000000, 0.753400, 0.435000, -0.493200, 0.876102, 0.251333,
0.866025, 0.500000, -0.173648, 0.000000, 0.853200, 0.492600, -0.171300, 0.927667, 0.412440,
1.000000, 0.000000, -0.173648, 0.000000, 0.985200, -0.000000, -0.171300, 0.993805, 0.412440,
0.761570, 0.439693, -0.500000, 0.000000, 0.753400, 0.435000, -0.493200, 0.876102, 0.251333,
1.000000, 0.000000, -0.173648, 0.000000, 0.985200, -0.000000, -0.171300, 0.993805, 0.412440,
0.879385, 0.000000, -0.500000, 0.000000, 0.869900, -0.000000, -0.493200, 0.934262, 0.251333,
0.761570, 0.439693, 0.500000, 0.000000, 0.753400, 0.435000, 0.493200, 0.876102, 0.744995,
0.565258, 0.326352, 0.766044, 0.000000, 0.566200, 0.326900, 0.756700, 0.779190, 0.876330,
0.652704, 0.000000, 0.766044, 0.000000, 0.653800, -0.000000, 0.756700, 0.822359, 0.876330,
0.761570, 0.439693, 0.500000, 0.000000, 0.753400, 0.435000, 0.493200, 0.876102, 0.744995,
0.652704, 0.000000, 0.766044, 0.000000, 0.653800, -0.000000, 0.756700, 0.822359, 0.876330,
0.879385, 0.000000, 0.500000, 0.000000, 0.869900, -0.000000, 0.493200, 0.934262, 0.744995,
0.565258, 0.326352, -0.766044, 0.000000, 0.566200, 0.326900, -0.756700, 0.779190, 0.119997,
0.761570, 0.439693, -0.500000, 0.000000, 0.753400, 0.435000, -0.493200, 0.876102, 0.251333,
0.879385, 0.000000, -0.500000, 0.000000, 0.869900, -0.000000, -0.493200, 0.934262, 0.251333,
0.565258, 0.326352, -0.766044, 0.000000, 0.566200, 0.326900, -0.756700, 0.779190, 0.119997,
0.879385, 0.000000, -0.500000, 0.000000, 0.869900, -0.000000, -0.493200, 0.934262, 0.251333,
0.652704, 0.000000, -0.766044, 0.000000, 0.653800, -0.000000, -0.756700, 0.822359, 0.119997,
0.866025, 0.500000, 0.173648, 0.000000, 0.853200, 0.492600, 0.171300, 0.927667, 0.583887,
0.761570, 0.439693, 0.500000, 0.000000, 0.753400, 0.435000, 0.493200, 0.876102, 0.744995,
0.879385, 0.000000, 0.500000, 0.000000, 0.869900, -0.000000, 0.493200, 0.934262, 0.744995,
0.866025, 0.500000, 0.173648, 0.000000, 0.853200, 0.492600, 0.171300, 0.927667, 0.583887,
0.879385, 0.000000, 0.500000, 0.000000, 0.869900, -0.000000, 0.493200, 0.934262, 0.744995,
1.000000, 0.000000, 0.173648, 0.000000, 0.985200, -0.000000, 0.171300, 0.993805, 0.583887,
0.300767, 0.173648, 0.939693, 0.000000, 0.313900, 0.181300, 0.932000, 0.648621, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
0.347296, 0.000000, 0.939693, 0.000000, 0.362500, 0.000000, 0.932000, 0.671590, 0.962054,
0.300767, 0.173648, -0.939693, 0.000000, 0.313900, 0.181300, -0.932000, 0.648621, 0.034274,
0.565258, 0.326352, -0.766044, 0.000000, 0.566200, 0.326900, -0.756700, 0.779190, 0.119997,
0.652704, 0.000000, -0.766044, 0.000000, 0.653800, -0.000000, -0.756700, 0.822359, 0.119997,
0.300767, 0.173648, -0.939693, 0.000000, 0.313900, 0.181300, -0.932000, 0.648621, 0.034274,
0.652704, 0.000000, -0.766044, 0.000000, 0.653800, -0.000000, -0.756700, 0.822359, 0.119997,
0.347296, 0.000000, -0.939693, 0.000000, 0.362500, 0.000000, -0.932000, 0.671590, 0.034274,
0.866025, 0.500000, -0.173648, 0.000000, 0.853200, 0.492600, -0.171300, 0.927667, 0.412440,
0.866025, 0.500000, 0.173648, 0.000000, 0.853200, 0.492600, 0.171300, 0.927667, 0.583887,
1.000000, 0.000000, 0.173648, 0.000000, 0.985200, -0.000000, 0.171300, 0.993805, 0.583887,
0.866025, 0.500000, -0.173648, 0.000000, 0.853200, 0.492600, -0.171300, 0.927667, 0.412440,
1.000000, 0.000000, 0.173648, 0.000000, 0.985200, -0.000000, 0.171300, 0.993805, 0.583887,
1.000000, 0.000000, -0.173648, 0.000000, 0.985200, -0.000000, -0.171300, 0.993805, 0.412440,
0.652704, 0.000000, -0.766044, 0.000000, 0.653800, -0.000000, -0.756700, 0.822359, 0.119997,
0.879385, 0.000000, -0.500000, 0.000000, 0.869900, -0.000000, -0.493200, 0.934262, 0.251333,
0.761570, -0.439692, -0.500000, 0.000000, 0.753400, -0.435000, -0.493200, 0.876102, 0.251333,
0.652704, 0.000000, -0.766044, 0.000000, 0.653800, -0.000000, -0.756700, 0.822359, 0.119997,
0.761570, -0.439692, -0.500000, 0.000000, 0.753400, -0.435000, -0.493200, 0.876102, 0.251333,
0.565258, -0.326352, -0.766044, 0.000000, 0.566200, -0.326900, -0.756700, 0.779190, 0.119997,
1.000000, 0.000000, 0.173648, 0.000000, 0.985200, -0.000000, 0.171300, 0.993805, 0.583887,
0.879385, 0.000000, 0.500000, 0.000000, 0.869900, -0.000000, 0.493200, 0.934262, 0.744995,
0.761570, -0.439692, 0.500000, 0.000000, 0.753400, -0.435000, 0.493200, 0.876102, 0.744995,
1.000000, 0.000000, 0.173648, 0.000000, 0.985200, -0.000000, 0.171300, 0.993805, 0.583887,
0.761570, -0.439692, 0.500000, 0.000000, 0.753400, -0.435000, 0.493200, 0.876102, 0.744995,
0.866025, -0.500000, 0.173648, 0.000000, 0.853200, -0.492600, 0.171300, 0.927667, 0.583887,
0.347296, 0.000000, 0.939693, 0.000000, 0.362500, 0.000000, 0.932000, 0.671590, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
0.300767, -0.173648, 0.939693, 0.000000, 0.313900, -0.181300, 0.932000, 0.648621, 0.962054,
0.347296, 0.000000, -0.939693, 0.000000, 0.362500, 0.000000, -0.932000, 0.671590, 0.034274,
0.652704, 0.000000, -0.766044, 0.000000, 0.653800, -0.000000, -0.756700, 0.822359, 0.119997,
0.565258, -0.326352, -0.766044, 0.000000, 0.566200, -0.326900, -0.756700, 0.779190, 0.119997,
0.347296, 0.000000, -0.939693, 0.000000, 0.362500, 0.000000, -0.932000, 0.671590, 0.034274,
0.565258, -0.326352, -0.766044, 0.000000, 0.566200, -0.326900, -0.756700, 0.779190, 0.119997,
0.300767, -0.173648, -0.939693, 0.000000, 0.313900, -0.181300, -0.932000, 0.648621, 0.034274,
1.000000, 0.000000, -0.173648, 0.000000, 0.985200, -0.000000, -0.171300, 0.993805, 0.412440,
1.000000, 0.000000, 0.173648, 0.000000, 0.985200, -0.000000, 0.171300, 0.993805, 0.583887,
0.866025, -0.500000, 0.173648, 0.000000, 0.853200, -0.492600, 0.171300, 0.927667, 0.583887,
1.000000, 0.000000, -0.173648, 0.000000, 0.985200, -0.000000, -0.171300, 0.993805, 0.412440,
0.866025, -0.500000, 0.173648, 0.000000, 0.853200, -0.492600, 0.171300, 0.927667, 0.583887,
0.866025, -0.500000, -0.173648, 0.000000, 0.853200, -0.492600, -0.171300, 0.927667, 0.412440,
0.652704, 0.000000, 0.766044, 0.000000, 0.653800, -0.000000, 0.756700, 0.822359, 0.876330,
0.347296, 0.000000, 0.939693, 0.000000, 0.362500, 0.000000, 0.932000, 0.671590, 0.962054,
0.300767, -0.173648, 0.939693, 0.000000, 0.313900, -0.181300, 0.932000, 0.648621, 0.962054,
0.652704, 0.000000, 0.766044, 0.000000, 0.653800, -0.000000, 0.756700, 0.822359, 0.876330,
0.300767, -0.173648, 0.939693, 0.000000, 0.313900, -0.181300, 0.932000, 0.648621, 0.962054,
0.565258, -0.326352, 0.766044, 0.000000, 0.566200, -0.326900, 0.756700, 0.779190, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
0.347296, 0.000000, -0.939693, 0.000000, 0.362500, 0.000000, -0.932000, 0.671590, 0.034274,
0.300767, -0.173648, -0.939693, 0.000000, 0.313900, -0.181300, -0.932000, 0.648621, 0.034274,
0.879385, 0.000000, -0.500000, 0.000000, 0.869900, -0.000000, -0.493200, 0.934262, 0.251333,
1.000000, 0.000000, -0.173648, 0.000000, 0.985200, -0.000000, -0.171300, 0.993805, 0.412440,
0.866025, -0.500000, -0.173648, 0.000000, 0.853200, -0.492600, -0.171300, 0.927667, 0.412440,
0.879385, 0.000000, -0.500000, 0.000000, 0.869900, -0.000000, -0.493200, 0.934262, 0.251333,
0.866025, -0.500000, -0.173648, 0.000000, 0.853200, -0.492600, -0.171300, 0.927667, 0.412440,
0.761570, -0.439692, -0.500000, 0.000000, 0.753400, -0.435000, -0.493200, 0.876102, 0.251333,
0.879385, 0.000000, 0.500000, 0.000000, 0.869900, -0.000000, 0.493200, 0.934262, 0.744995,
0.652704, 0.000000, 0.766044, 0.000000, 0.653800, -0.000000, 0.756700, 0.822359, 0.876330,
0.565258, -0.326352, 0.766044, 0.000000, 0.566200, -0.326900, 0.756700, 0.779190, 0.876330,
0.879385, 0.000000, 0.500000, 0.000000, 0.869900, -0.000000, 0.493200, 0.934262, 0.744995,
0.565258, -0.326352, 0.766044, 0.000000, 0.566200, -0.326900, 0.756700, 0.779190, 0.876330,
0.761570, -0.439692, 0.500000, 0.000000, 0.753400, -0.435000, 0.493200, 0.876102, 0.744995,
0.866025, -0.500000, -0.173648, 0.000000, 0.853200, -0.492600, -0.171300, 0.927667, 0.412440,
0.866025, -0.500000, 0.173648, 0.000000, 0.853200, -0.492600, 0.171300, 0.927667, 0.583887,
0.500000, -0.866025, 0.173648, 0.000000, 0.492600, -0.853200, 0.171300, 0.746974, 0.583887,
0.866025, -0.500000, -0.173648, 0.000000, 0.853200, -0.492600, -0.171300, 0.927667, 0.412440,
0.500000, -0.866025, 0.173648, 0.000000, 0.492600, -0.853200, 0.171300, 0.746974, 0.583887,
0.500000, -0.866025, -0.173648, 0.000000, 0.492600, -0.853200, -0.171300, 0.746974, 0.412441,
0.565258, -0.326352, 0.766044, 0.000000, 0.566200, -0.326900, 0.756700, 0.779190, 0.876330,
0.300767, -0.173648, 0.939693, 0.000000, 0.313900, -0.181300, 0.932000, 0.648621, 0.962054,
0.173648, -0.300767, 0.939693, 0.000000, 0.181300, -0.313900, 0.932000, 0.585867, 0.962054,
0.565258, -0.326352, 0.766044, 0.000000, 0.566200, -0.326900, 0.756700, 0.779190, 0.876330,
0.173648, -0.300767, 0.939693, 0.000000, 0.181300, -0.313900, 0.932000, 0.585867, 0.962054,
0.326352, -0.565258, 0.766044, 0.000000, 0.326900, -0.566200, 0.756700, 0.661251, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
0.300767, -0.173648, -0.939693, 0.000000, 0.313900, -0.181300, -0.932000, 0.648621, 0.034274,
0.173648, -0.300767, -0.939693, 0.000000, 0.181300, -0.313900, -0.932000, 0.585867, 0.034274,
0.761570, -0.439692, -0.500000, 0.000000, 0.753400, -0.435000, -0.493200, 0.876102, 0.251333,
0.866025, -0.500000, -0.173648, 0.000000, 0.853200, -0.492600, -0.171300, 0.927667, 0.412440,
0.500000, -0.866025, -0.173648, 0.000000, 0.492600, -0.853200, -0.171300, 0.746974, 0.412441,
0.761570, -0.439692, -0.500000, 0.000000, 0.753400, -0.435000, -0.493200, 0.876102, 0.251333,
0.500000, -0.866025, -0.173648, 0.000000, 0.492600, -0.853200, -0.171300, 0.746974, 0.412441,
0.439693, -0.761570, -0.500000, 0.000000, 0.435000, -0.753400, -0.493200, 0.717203, 0.251333,
0.761570, -0.439692, 0.500000, 0.000000, 0.753400, -0.435000, 0.493200, 0.876102, 0.744995,
0.565258, -0.326352, 0.766044, 0.000000, 0.566200, -0.326900, 0.756700, 0.779190, 0.876330,
0.326352, -0.565258, 0.766044, 0.000000, 0.326900, -0.566200, 0.756700, 0.661251, 0.876330,
0.761570, -0.439692, 0.500000, 0.000000, 0.753400, -0.435000, 0.493200, 0.876102, 0.744995,
0.326352, -0.565258, 0.766044, 0.000000, 0.326900, -0.566200, 0.756700, 0.661251, 0.876330,
0.439693, -0.761570, 0.500000, 0.000000, 0.435000, -0.753400, 0.493200, 0.717203, 0.744995,
0.565258, -0.326352, -0.766044, 0.000000, 0.566200, -0.326900, -0.756700, 0.779190, 0.119997,
0.761570, -0.439692, -0.500000, 0.000000, 0.753400, -0.435000, -0.493200, 0.876102, 0.251333,
0.439693, -0.761570, -0.500000, 0.000000, 0.435000, -0.753400, -0.493200, 0.717203, 0.251333,
0.565258, -0.326352, -0.766044, 0.000000, 0.566200, -0.326900, -0.756700, 0.779190, 0.119997,
0.439693, -0.761570, -0.500000, 0.000000, 0.435000, -0.753400, -0.493200, 0.717203, 0.251333,
0.326352, -0.565258, -0.766044, 0.000000, 0.326900, -0.566200, -0.756700, 0.661251, 0.119997,
0.866025, -0.500000, 0.173648, 0.000000, 0.853200, -0.492600, 0.171300, 0.927667, 0.583887,
0.761570, -0.439692, 0.500000, 0.000000, 0.753400, -0.435000, 0.493200, 0.876102, 0.744995,
0.439693, -0.761570, 0.500000, 0.000000, 0.435000, -0.753400, 0.493200, 0.717203, 0.744995,
0.866025, -0.500000, 0.173648, 0.000000, 0.853200, -0.492600, 0.171300, 0.927667, 0.583887,
0.439693, -0.761570, 0.500000, 0.000000, 0.435000, -0.753400, 0.493200, 0.717203, 0.744995,
0.500000, -0.866025, 0.173648, 0.000000, 0.492600, -0.853200, 0.171300, 0.746974, 0.583887,
0.300767, -0.173648, 0.939693, 0.000000, 0.313900, -0.181300, 0.932000, 0.648621, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
0.173648, -0.300767, 0.939693, 0.000000, 0.181300, -0.313900, 0.932000, 0.585867, 0.962054,
0.300767, -0.173648, -0.939693, 0.000000, 0.313900, -0.181300, -0.932000, 0.648621, 0.034274,
0.565258, -0.326352, -0.766044, 0.000000, 0.566200, -0.326900, -0.756700, 0.779190, 0.119997,
0.326352, -0.565258, -0.766044, 0.000000, 0.326900, -0.566200, -0.756700, 0.661251, 0.119997,
0.300767, -0.173648, -0.939693, 0.000000, 0.313900, -0.181300, -0.932000, 0.648621, 0.034274,
0.326352, -0.565258, -0.766044, 0.000000, 0.326900, -0.566200, -0.756700, 0.661251, 0.119997,
0.173648, -0.300767, -0.939693, 0.000000, 0.181300, -0.313900, -0.932000, 0.585867, 0.034274,
0.439693, -0.761570, 0.500000, 0.000000, 0.435000, -0.753400, 0.493200, 0.717203, 0.744995,
0.326352, -0.565258, 0.766044, 0.000000, 0.326900, -0.566200, 0.756700, 0.661251, 0.876330,
0.000000, -0.652703, 0.766044, 0.000000, -0.000000, -0.653800, 0.756700, 0.500144, 0.876330,
0.439693, -0.761570, 0.500000, 0.000000, 0.435000, -0.753400, 0.493200, 0.717203, 0.744995,
0.000000, -0.652703, 0.766044, 0.000000, -0.000000, -0.653800, 0.756700, 0.500144, 0.876330,
0.000000, -0.879385, 0.500000, 0.000000, 0.000000, -0.869900, 0.493200, 0.500144, 0.744995,
0.326352, -0.565258, -0.766044, 0.000000, 0.326900, -0.566200, -0.756700, 0.661251, 0.119997,
0.439693, -0.761570, -0.500000, 0.000000, 0.435000, -0.753400, -0.493200, 0.717203, 0.251333,
0.000000, -0.879385, -0.500000, 0.000000, -0.000000, -0.869900, -0.493200, 0.500144, 0.251333,
0.326352, -0.565258, -0.766044, 0.000000, 0.326900, -0.566200, -0.756700, 0.661251, 0.119997,
0.000000, -0.879385, -0.500000, 0.000000, -0.000000, -0.869900, -0.493200, 0.500144, 0.251333,
0.000000, -0.652703, -0.766044, 0.000000, 0.000000, -0.653800, -0.756700, 0.500144, 0.119997,
0.500000, -0.866025, 0.173648, 0.000000, 0.492600, -0.853200, 0.171300, 0.746974, 0.583887,
0.439693, -0.761570, 0.500000, 0.000000, 0.435000, -0.753400, 0.493200, 0.717203, 0.744995,
0.000000, -0.879385, 0.500000, 0.000000, 0.000000, -0.869900, 0.493200, 0.500144, 0.744995,
0.500000, -0.866025, 0.173648, 0.000000, 0.492600, -0.853200, 0.171300, 0.746974, 0.583887,
0.000000, -0.879385, 0.500000, 0.000000, 0.000000, -0.869900, 0.493200, 0.500144, 0.744995,
0.000000, -1.000000, 0.173648, 0.000000, 0.000000, -0.985200, 0.171300, 0.500144, 0.583887,
0.173648, -0.300767, 0.939693, 0.000000, 0.181300, -0.313900, 0.932000, 0.585867, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
0.000000, -0.347296, 0.939693, 0.000000, -0.000000, -0.362500, 0.932000, 0.500144, 0.962054,
0.173648, -0.300767, -0.939693, 0.000000, 0.181300, -0.313900, -0.932000, 0.585867, 0.034274,
0.326352, -0.565258, -0.766044, 0.000000, 0.326900, -0.566200, -0.756700, 0.661251, 0.119997,
0.000000, -0.652703, -0.766044, 0.000000, 0.000000, -0.653800, -0.756700, 0.500144, 0.119997,
0.173648, -0.300767, -0.939693, 0.000000, 0.181300, -0.313900, -0.932000, 0.585867, 0.034274,
0.000000, -0.652703, -0.766044, 0.000000, 0.000000, -0.653800, -0.756700, 0.500144, 0.119997,
0.000000, -0.347296, -0.939693, 0.000000, 0.000000, -0.362500, -0.932000, 0.500144, 0.034274,
0.500000, -0.866025, -0.173648, 0.000000, 0.492600, -0.853200, -0.171300, 0.746974, 0.412441,
0.500000, -0.866025, 0.173648, 0.000000, 0.492600, -0.853200, 0.171300, 0.746974, 0.583887,
0.000000, -1.000000, 0.173648, 0.000000, 0.000000, -0.985200, 0.171300, 0.500144, 0.583887,
0.500000, -0.866025, -0.173648, 0.000000, 0.492600, -0.853200, -0.171300, 0.746974, 0.412441,
0.000000, -1.000000, 0.173648, 0.000000, 0.000000, -0.985200, 0.171300, 0.500144, 0.583887,
0.000000, -1.000000, -0.173648, 0.000000, -0.000000, -0.985200, -0.171300, 0.500144, 0.412441,
0.326352, -0.565258, 0.766044, 0.000000, 0.326900, -0.566200, 0.756700, 0.661251, 0.876330,
0.173648, -0.300767, 0.939693, 0.000000, 0.181300, -0.313900, 0.932000, 0.585867, 0.962054,
0.000000, -0.347296, 0.939693, 0.000000, -0.000000, -0.362500, 0.932000, 0.500144, 0.962054,
0.326352, -0.565258, 0.766044, 0.000000, 0.326900, -0.566200, 0.756700, 0.661251, 0.876330,
0.000000, -0.347296, 0.939693, 0.000000, -0.000000, -0.362500, 0.932000, 0.500144, 0.962054,
0.000000, -0.652703, 0.766044, 0.000000, -0.000000, -0.653800, 0.756700, 0.500144, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
0.173648, -0.300767, -0.939693, 0.000000, 0.181300, -0.313900, -0.932000, 0.585867, 0.034274,
0.000000, -0.347296, -0.939693, 0.000000, 0.000000, -0.362500, -0.932000, 0.500144, 0.034274,
0.439693, -0.761570, -0.500000, 0.000000, 0.435000, -0.753400, -0.493200, 0.717203, 0.251333,
0.500000, -0.866025, -0.173648, 0.000000, 0.492600, -0.853200, -0.171300, 0.746974, 0.412441,
0.000000, -1.000000, -0.173648, 0.000000, -0.000000, -0.985200, -0.171300, 0.500144, 0.412441,
0.439693, -0.761570, -0.500000, 0.000000, 0.435000, -0.753400, -0.493200, 0.717203, 0.251333,
0.000000, -1.000000, -0.173648, 0.000000, -0.000000, -0.985200, -0.171300, 0.500144, 0.412441,
0.000000, -0.879385, -0.500000, 0.000000, -0.000000, -0.869900, -0.493200, 0.500144, 0.251333,
0.000000, -0.347296, 0.939693, 0.000000, -0.000000, -0.362500, 0.932000, 0.500144, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
-0.173648, -0.300767, 0.939693, 0.000000, -0.181300, -0.313900, 0.932000, 0.414420, 0.962054,
0.000000, -0.347296, -0.939693, 0.000000, 0.000000, -0.362500, -0.932000, 0.500144, 0.034274,
0.000000, -0.652703, -0.766044, 0.000000, 0.000000, -0.653800, -0.756700, 0.500144, 0.119997,
-0.326352, -0.565258, -0.766044, 0.000000, -0.326900, -0.566200, -0.756700, 0.339036, 0.119997,
0.000000, -0.347296, -0.939693, 0.000000, 0.000000, -0.362500, -0.932000, 0.500144, 0.034274,
-0.326352, -0.565258, -0.766044, 0.000000, -0.326900, -0.566200, -0.756700, 0.339036, 0.119997,
-0.173648, -0.300767, -0.939693, 0.000000, -0.181300, -0.313900, -0.932000, 0.414420, 0.034274,
0.000000, -1.000000, -0.173648, 0.000000, -0.000000, -0.985200, -0.171300, 0.500144, 0.412441,
0.000000, -1.000000, 0.173648, 0.000000, 0.000000, -0.985200, 0.171300, 0.500144, 0.583887,
-0.500000, -0.866025, 0.173648, 0.000000, -0.492600, -0.853200, 0.171300, 0.253313, 0.583887,
0.000000, -1.000000, -0.173648, 0.000000, -0.000000, -0.985200, -0.171300, 0.500144, 0.412441,
-0.500000, -0.866025, 0.173648, 0.000000, -0.492600, -0.853200, 0.171300, 0.253313, 0.583887,
-0.500000, -0.866025, -0.173648, 0.000000, -0.492600, -0.853200, -0.171300, 0.253313, 0.412441,
0.000000, -0.652703, 0.766044, 0.000000, -0.000000, -0.653800, 0.756700, 0.500144, 0.876330,
0.000000, -0.347296, 0.939693, 0.000000, -0.000000, -0.362500, 0.932000, 0.500144, 0.962054,
-0.173648, -0.300767, 0.939693, 0.000000, -0.181300, -0.313900, 0.932000, 0.414420, 0.962054,
0.000000, -0.652703, 0.766044, 0.000000, -0.000000, -0.653800, 0.756700, 0.500144, 0.876330,
-0.173648, -0.300767, 0.939693, 0.000000, -0.181300, -0.313900, 0.932000, 0.414420, 0.962054,
-0.326352, -0.565258, 0.766044, 0.000000, -0.326900, -0.566200, 0.756700, 0.339036, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
0.000000, -0.347296, -0.939693, 0.000000, 0.000000, -0.362500, -0.932000, 0.500144, 0.034274,
-0.173648, -0.300767, -0.939693, 0.000000, -0.181300, -0.313900, -0.932000, 0.414420, 0.034274,
0.000000, -0.879385, -0.500000, 0.000000, -0.000000, -0.869900, -0.493200, 0.500144, 0.251333,
0.000000, -1.000000, -0.173648, 0.000000, -0.000000, -0.985200, -0.171300, 0.500144, 0.412441,
-0.500000, -0.866025, -0.173648, 0.000000, -0.492600, -0.853200, -0.171300, 0.253313, 0.412441,
0.000000, -0.879385, -0.500000, 0.000000, -0.000000, -0.869900, -0.493200, 0.500144, 0.251333,
-0.500000, -0.866025, -0.173648, 0.000000, -0.492600, -0.853200, -0.171300, 0.253313, 0.412441,
-0.439693, -0.761570, -0.500000, 0.000000, -0.435000, -0.753400, -0.493200, 0.283084, 0.251333,
0.000000, -0.879385, 0.500000, 0.000000, 0.000000, -0.869900, 0.493200, 0.500144, 0.744995,
0.000000, -0.652703, 0.766044, 0.000000, -0.000000, -0.653800, 0.756700, 0.500144, 0.876330,
-0.326352, -0.565258, 0.766044, 0.000000, -0.326900, -0.566200, 0.756700, 0.339036, 0.876330,
0.000000, -0.879385, 0.500000, 0.000000, 0.000000, -0.869900, 0.493200, 0.500144, 0.744995,
-0.326352, -0.565258, 0.766044, 0.000000, -0.326900, -0.566200, 0.756700, 0.339036, 0.876330,
-0.439693, -0.761570, 0.500000, 0.000000, -0.435000, -0.753400, 0.493200, 0.283084, 0.744995,
0.000000, -0.652703, -0.766044, 0.000000, 0.000000, -0.653800, -0.756700, 0.500144, 0.119997,
0.000000, -0.879385, -0.500000, 0.000000, -0.000000, -0.869900, -0.493200, 0.500144, 0.251333,
-0.439693, -0.761570, -0.500000, 0.000000, -0.435000, -0.753400, -0.493200, 0.283084, 0.251333,
0.000000, -0.652703, -0.766044, 0.000000, 0.000000, -0.653800, -0.756700, 0.500144, 0.119997,
-0.439693, -0.761570, -0.500000, 0.000000, -0.435000, -0.753400, -0.493200, 0.283084, 0.251333,
-0.326352, -0.565258, -0.766044, 0.000000, -0.326900, -0.566200, -0.756700, 0.339036, 0.119997,
0.000000, -1.000000, 0.173648, 0.000000, 0.000000, -0.985200, 0.171300, 0.500144, 0.583887,
0.000000, -0.879385, 0.500000, 0.000000, 0.000000, -0.869900, 0.493200, 0.500144, 0.744995,
-0.439693, -0.761570, 0.500000, 0.000000, -0.435000, -0.753400, 0.493200, 0.283084, 0.744995,
0.000000, -1.000000, 0.173648, 0.000000, 0.000000, -0.985200, 0.171300, 0.500144, 0.583887,
-0.439693, -0.761570, 0.500000, 0.000000, -0.435000, -0.753400, 0.493200, 0.283084, 0.744995,
-0.500000, -0.866025, 0.173648, 0.000000, -0.492600, -0.853200, 0.171300, 0.253313, 0.583887,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
-0.173648, -0.300767, -0.939693, 0.000000, -0.181300, -0.313900, -0.932000, 0.414420, 0.034274,
-0.300767, -0.173648, -0.939693, 0.000000, -0.313900, -0.181300, -0.932000, 0.351667, 0.034274,
-0.439693, -0.761570, -0.500000, 0.000000, -0.435000, -0.753400, -0.493200, 0.283084, 0.251333,
-0.500000, -0.866025, -0.173648, 0.000000, -0.492600, -0.853200, -0.171300, 0.253313, 0.412441,
-0.866025, -0.500000, -0.173648, 0.000000, -0.853200, -0.492600, -0.171300, 0.072621, 0.412440,
-0.439693, -0.761570, -0.500000, 0.000000, -0.435000, -0.753400, -0.493200, 0.283084, 0.251333,
-0.866025, -0.500000, -0.173648, 0.000000, -0.853200, -0.492600, -0.171300, 0.072621, 0.412440,
-0.761570, -0.439692, -0.500000, 0.000000, -0.753400, -0.435000, -0.493200, 0.124186, 0.251333,
-0.439693, -0.761570, 0.500000, 0.000000, -0.435000, -0.753400, 0.493200, 0.283084, 0.744995,
-0.326352, -0.565258, 0.766044, 0.000000, -0.326900, -0.566200, 0.756700, 0.339036, 0.876330,
-0.565258, -0.326352, 0.766044, 0.000000, -0.566200, -0.326900, 0.756700, 0.221098, 0.876330,
-0.439693, -0.761570, 0.500000, 0.000000, -0.435000, -0.753400, 0.493200, 0.283084, 0.744995,
-0.565258, -0.326352, 0.766044, 0.000000, -0.566200, -0.326900, 0.756700, 0.221098, 0.876330,
-0.761570, -0.439692, 0.500000, 0.000000, -0.753400, -0.435000, 0.493200, 0.124186, 0.744995,
-0.326352, -0.565258, -0.766044, 0.000000, -0.326900, -0.566200, -0.756700, 0.339036, 0.119997,
-0.439693, -0.761570, -0.500000, 0.000000, -0.435000, -0.753400, -0.493200, 0.283084, 0.251333,
-0.761570, -0.439692, -0.500000, 0.000000, -0.753400, -0.435000, -0.493200, 0.124186, 0.251333,
-0.326352, -0.565258, -0.766044, 0.000000, -0.326900, -0.566200, -0.756700, 0.339036, 0.119997,
-0.761570, -0.439692, -0.500000, 0.000000, -0.753400, -0.435000, -0.493200, 0.124186, 0.251333,
-0.565258, -0.326352, -0.766044, 0.000000, -0.566200, -0.326900, -0.756700, 0.221098, 0.119997,
-0.500000, -0.866025, 0.173648, 0.000000, -0.492600, -0.853200, 0.171300, 0.253313, 0.583887,
-0.439693, -0.761570, 0.500000, 0.000000, -0.435000, -0.753400, 0.493200, 0.283084, 0.744995,
-0.761570, -0.439692, 0.500000, 0.000000, -0.753400, -0.435000, 0.493200, 0.124186, 0.744995,
-0.500000, -0.866025, 0.173648, 0.000000, -0.492600, -0.853200, 0.171300, 0.253313, 0.583887,
-0.761570, -0.439692, 0.500000, 0.000000, -0.753400, -0.435000, 0.493200, 0.124186, 0.744995,
-0.866025, -0.500000, 0.173648, 0.000000, -0.853200, -0.492600, 0.171300, 0.072621, 0.583887,
-0.173648, -0.300767, 0.939693, 0.000000, -0.181300, -0.313900, 0.932000, 0.414420, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
-0.300767, -0.173648, 0.939693, 0.000000, -0.313900, -0.181300, 0.932000, 0.351667, 0.962054,
-0.173648, -0.300767, -0.939693, 0.000000, -0.181300, -0.313900, -0.932000, 0.414420, 0.034274,
-0.326352, -0.565258, -0.766044, 0.000000, -0.326900, -0.566200, -0.756700, 0.339036, 0.119997,
-0.565258, -0.326352, -0.766044, 0.000000, -0.566200, -0.326900, -0.756700, 0.221098, 0.119997,
-0.173648, -0.300767, -0.939693, 0.000000, -0.181300, -0.313900, -0.932000, 0.414420, 0.034274,
-0.565258, -0.326352, -0.766044, 0.000000, -0.566200, -0.326900, -0.756700, 0.221098, 0.119997,
-0.300767, -0.173648, -0.939693, 0.000000, -0.313900, -0.181300, -0.932000, 0.351667, 0.034274,
-0.500000, -0.866025, -0.173648, 0.000000, -0.492600, -0.853200, -0.171300, 0.253313, 0.412441,
-0.500000, -0.866025, 0.173648, 0.000000, -0.492600, -0.853200, 0.171300, 0.253313, 0.583887,
-0.866025, -0.500000, 0.173648, 0.000000, -0.853200, -0.492600, 0.171300, 0.072621, 0.583887,
-0.500000, -0.866025, -0.173648, 0.000000, -0.492600, -0.853200, -0.171300, 0.253313, 0.412441,
-0.866025, -0.500000, 0.173648, 0.000000, -0.853200, -0.492600, 0.171300, 0.072621, 0.583887,
-0.866025, -0.500000, -0.173648, 0.000000, -0.853200, -0.492600, -0.171300, 0.072621, 0.412440,
-0.326352, -0.565258, 0.766044, 0.000000, -0.326900, -0.566200, 0.756700, 0.339036, 0.876330,
-0.173648, -0.300767, 0.939693, 0.000000, -0.181300, -0.313900, 0.932000, 0.414420, 0.962054,
-0.300767, -0.173648, 0.939693, 0.000000, -0.313900, -0.181300, 0.932000, 0.351667, 0.962054,
-0.326352, -0.565258, 0.766044, 0.000000, -0.326900, -0.566200, 0.756700, 0.339036, 0.876330,
-0.300767, -0.173648, 0.939693, 0.000000, -0.313900, -0.181300, 0.932000, 0.351667, 0.962054,
-0.565258, -0.326352, 0.766044, 0.000000, -0.566200, -0.326900, 0.756700, 0.221098, 0.876330,
-0.565258, -0.326352, -0.766044, 0.000000, -0.566200, -0.326900, -0.756700, 0.221098, 0.119997,
-0.761570, -0.439692, -0.500000, 0.000000, -0.753400, -0.435000, -0.493200, 0.124186, 0.251333,
-0.879385, 0.000000, -0.500000, 0.000000, -0.869900, -0.000000, -0.493200, 0.066025, 0.251333,
-0.565258, -0.326352, -0.766044, 0.000000, -0.566200, -0.326900, -0.756700, 0.221098, 0.119997,
-0.879385, 0.000000, -0.500000, 0.000000, -0.869900, -0.000000, -0.493200, 0.066025, 0.251333,
-0.652704, 0.000000, -0.766044, 0.000000, -0.653800, -0.000000, -0.756700, 0.177929, 0.119997,
-0.866025, -0.500000, 0.173648, 0.000000, -0.853200, -0.492600, 0.171300, 0.072621, 0.583887,
-0.761570, -0.439692, 0.500000, 0.000000, -0.753400, -0.435000, 0.493200, 0.124186, 0.744995,
-0.879385, 0.000000, 0.500000, 0.000000, -0.869900, -0.000000, 0.493200, 0.066025, 0.744995,
-0.866025, -0.500000, 0.173648, 0.000000, -0.853200, -0.492600, 0.171300, 0.072621, 0.583887,
-0.879385, 0.000000, 0.500000, 0.000000, -0.869900, -0.000000, 0.493200, 0.066025, 0.744995,
-1.000000, 0.000000, 0.173648, 0.000000, -0.985200, -0.000000, 0.171300, 0.006482, 0.583887,
-0.300767, -0.173648, 0.939693, 0.000000, -0.313900, -0.181300, 0.932000, 0.351667, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
-0.347296, 0.000000, 0.939693, 0.000000, -0.362500, 0.000000, 0.932000, 0.328697, 0.962054,
-0.300767, -0.173648, -0.939693, 0.000000, -0.313900, -0.181300, -0.932000, 0.351667, 0.034274,
-0.565258, -0.326352, -0.766044, 0.000000, -0.566200, -0.326900, -0.756700, 0.221098, 0.119997,
-0.652704, 0.000000, -0.766044, 0.000000, -0.653800, -0.000000, -0.756700, 0.177929, 0.119997,
-0.300767, -0.173648, -0.939693, 0.000000, -0.313900, -0.181300, -0.932000, 0.351667, 0.034274,
-0.652704, 0.000000, -0.766044, 0.000000, -0.653800, -0.000000, -0.756700, 0.177929, 0.119997,
-0.347296, 0.000000, -0.939693, 0.000000, -0.362500, 0.000000, -0.932000, 0.328697, 0.034274,
-0.866025, -0.500000, -0.173648, 0.000000, -0.853200, -0.492600, -0.171300, 0.072621, 0.412440,
-0.866025, -0.500000, 0.173648, 0.000000, -0.853200, -0.492600, 0.171300, 0.072621, 0.583887,
-1.000000, 0.000000, 0.173648, 0.000000, -0.985200, -0.000000, 0.171300, 0.006482, 0.583887,
-0.866025, -0.500000, -0.173648, 0.000000, -0.853200, -0.492600, -0.171300, 0.072621, 0.412440,
-1.000000, 0.000000, 0.173648, 0.000000, -0.985200, -0.000000, 0.171300, 0.006482, 0.583887,
-1.000000, 0.000000, -0.173648, 0.000000, -0.985200, -0.000000, -0.171300, 0.006482, 0.412440,
-0.565258, -0.326352, 0.766044, 0.000000, -0.566200, -0.326900, 0.756700, 0.221098, 0.876330,
-0.300767, -0.173648, 0.939693, 0.000000, -0.313900, -0.181300, 0.932000, 0.351667, 0.962054,
-0.347296, 0.000000, 0.939693, 0.000000, -0.362500, 0.000000, 0.932000, 0.328697, 0.962054,
-0.565258, -0.326352, 0.766044, 0.000000, -0.566200, -0.326900, 0.756700, 0.221098, 0.876330,
-0.347296, 0.000000, 0.939693, 0.000000, -0.362500, 0.000000, 0.932000, 0.328697, 0.962054,
-0.652704, 0.000000, 0.766044, 0.000000, -0.653800, -0.000000, 0.756700, 0.177929, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
-0.300767, -0.173648, -0.939693, 0.000000, -0.313900, -0.181300, -0.932000, 0.351667, 0.034274,
-0.347296, 0.000000, -0.939693, 0.000000, -0.362500, 0.000000, -0.932000, 0.328697, 0.034274,
-0.761570, -0.439692, -0.500000, 0.000000, -0.753400, -0.435000, -0.493200, 0.124186, 0.251333,
-0.866025, -0.500000, -0.173648, 0.000000, -0.853200, -0.492600, -0.171300, 0.072621, 0.412440,
-1.000000, 0.000000, -0.173648, 0.000000, -0.985200, -0.000000, -0.171300, 0.006482, 0.412440,
-0.761570, -0.439692, -0.500000, 0.000000, -0.753400, -0.435000, -0.493200, 0.124186, 0.251333,
-1.000000, 0.000000, -0.173648, 0.000000, -0.985200, -0.000000, -0.171300, 0.006482, 0.412440,
-0.879385, 0.000000, -0.500000, 0.000000, -0.869900, -0.000000, -0.493200, 0.066025, 0.251333,
-0.761570, -0.439692, 0.500000, 0.000000, -0.753400, -0.435000, 0.493200, 0.124186, 0.744995,
-0.565258, -0.326352, 0.766044, 0.000000, -0.566200, -0.326900, 0.756700, 0.221098, 0.876330,
-0.652704, 0.000000, 0.766044, 0.000000, -0.653800, -0.000000, 0.756700, 0.177929, 0.876330,
-0.761570, -0.439692, 0.500000, 0.000000, -0.753400, -0.435000, 0.493200, 0.124186, 0.744995,
-0.652704, 0.000000, 0.766044, 0.000000, -0.653800, -0.000000, 0.756700, 0.177929, 0.876330,
-0.879385, 0.000000, 0.500000, 0.000000, -0.869900, -0.000000, 0.493200, 0.066025, 0.744995,
-1.000000, 0.000000, -0.173648, 0.000000, -0.985200, -0.000000, -0.171300, 0.006482, 0.412440,
-1.000000, 0.000000, 0.173648, 0.000000, -0.985200, -0.000000, 0.171300, 0.006482, 0.583887,
-0.866025, 0.500000, 0.173648, 0.000000, -0.853200, 0.492600, 0.171300, 0.072621, 0.583887,
-1.000000, 0.000000, -0.173648, 0.000000, -0.985200, -0.000000, -0.171300, 0.006482, 0.412440,
-0.866025, 0.500000, 0.173648, 0.000000, -0.853200, 0.492600, 0.171300, 0.072621, 0.583887,
-0.866025, 0.500000, -0.173648, 0.000000, -0.853200, 0.492600, -0.171300, 0.072621, 0.412440,
-0.652704, 0.000000, 0.766044, 0.000000, -0.653800, -0.000000, 0.756700, 0.177929, 0.876330,
-0.347296, 0.000000, 0.939693, 0.000000, -0.362500, 0.000000, 0.932000, 0.328697, 0.962054,
-0.300767, 0.173648, 0.939693, 0.000000, -0.313900, 0.181300, 0.932000, 0.351667, 0.962054,
-0.652704, 0.000000, 0.766044, 0.000000, -0.653800, -0.000000, 0.756700, 0.177929, 0.876330,
-0.300767, 0.173648, 0.939693, 0.000000, -0.313900, 0.181300, 0.932000, 0.351667, 0.962054,
-0.565258, 0.326352, 0.766044, 0.000000, -0.566200, 0.326900, 0.756700, 0.221098, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
-0.347296, 0.000000, -0.939693, 0.000000, -0.362500, 0.000000, -0.932000, 0.328697, 0.034274,
-0.300767, 0.173648, -0.939693, 0.000000, -0.313900, 0.181300, -0.932000, 0.351667, 0.034274,
-0.879385, 0.000000, -0.500000, 0.000000, -0.869900, -0.000000, -0.493200, 0.066025, 0.251333,
-1.000000, 0.000000, -0.173648, 0.000000, -0.985200, -0.000000, -0.171300, 0.006482, 0.412440,
-0.866025, 0.500000, -0.173648, 0.000000, -0.853200, 0.492600, -0.171300, 0.072621, 0.412440,
-0.879385, 0.000000, -0.500000, 0.000000, -0.869900, -0.000000, -0.493200, 0.066025, 0.251333,
-0.866025, 0.500000, -0.173648, 0.000000, -0.853200, 0.492600, -0.171300, 0.072621, 0.412440,
-0.761570, 0.439693, -0.500000, 0.000000, -0.753400, 0.435000, -0.493200, 0.124186, 0.251333,
-0.879385, 0.000000, 0.500000, 0.000000, -0.869900, -0.000000, 0.493200, 0.066025, 0.744995,
-0.652704, 0.000000, 0.766044, 0.000000, -0.653800, -0.000000, 0.756700, 0.177929, 0.876330,
-0.565258, 0.326352, 0.766044, 0.000000, -0.566200, 0.326900, 0.756700, 0.221098, 0.876330,
-0.879385, 0.000000, 0.500000, 0.000000, -0.869900, -0.000000, 0.493200, 0.066025, 0.744995,
-0.565258, 0.326352, 0.766044, 0.000000, -0.566200, 0.326900, 0.756700, 0.221098, 0.876330,
-0.761570, 0.439693, 0.500000, 0.000000, -0.753400, 0.435000, 0.493200, 0.124186, 0.744995,
-0.652704, 0.000000, -0.766044, 0.000000, -0.653800, -0.000000, -0.756700, 0.177929, 0.119997,
-0.879385, 0.000000, -0.500000, 0.000000, -0.869900, -0.000000, -0.493200, 0.066025, 0.251333,
-0.761570, 0.439693, -0.500000, 0.000000, -0.753400, 0.435000, -0.493200, 0.124186, 0.251333,
-0.652704, 0.000000, -0.766044, 0.000000, -0.653800, -0.000000, -0.756700, 0.177929, 0.119997,
-0.761570, 0.439693, -0.500000, 0.000000, -0.753400, 0.435000, -0.493200, 0.124186, 0.251333,
-0.565258, 0.326352, -0.766044, 0.000000, -0.566200, 0.326900, -0.756700, 0.221098, 0.119997,
-1.000000, 0.000000, 0.173648, 0.000000, -0.985200, -0.000000, 0.171300, 0.006482, 0.583887,
-0.879385, 0.000000, 0.500000, 0.000000, -0.869900, -0.000000, 0.493200, 0.066025, 0.744995,
-0.761570, 0.439693, 0.500000, 0.000000, -0.753400, 0.435000, 0.493200, 0.124186, 0.744995,
-1.000000, 0.000000, 0.173648, 0.000000, -0.985200, -0.000000, 0.171300, 0.006482, 0.583887,
-0.761570, 0.439693, 0.500000, 0.000000, -0.753400, 0.435000, 0.493200, 0.124186, 0.744995,
-0.866025, 0.500000, 0.173648, 0.000000, -0.853200, 0.492600, 0.171300, 0.072621, 0.583887,
-0.347296, 0.000000, 0.939693, 0.000000, -0.362500, 0.000000, 0.932000, 0.328697, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
-0.300767, 0.173648, 0.939693, 0.000000, -0.313900, 0.181300, 0.932000, 0.351667, 0.962054,
-0.347296, 0.000000, -0.939693, 0.000000, -0.362500, 0.000000, -0.932000, 0.328697, 0.034274,
-0.652704, 0.000000, -0.766044, 0.000000, -0.653800, -0.000000, -0.756700, 0.177929, 0.119997,
-0.565258, 0.326352, -0.766044, 0.000000, -0.566200, 0.326900, -0.756700, 0.221098, 0.119997,
-0.347296, 0.000000, -0.939693, 0.000000, -0.362500, 0.000000, -0.932000, 0.328697, 0.034274,
-0.565258, 0.326352, -0.766044, 0.000000, -0.566200, 0.326900, -0.756700, 0.221098, 0.119997,
-0.300767, 0.173648, -0.939693, 0.000000, -0.313900, 0.181300, -0.932000, 0.351667, 0.034274,
-0.761570, 0.439693, 0.500000, 0.000000, -0.753400, 0.435000, 0.493200, 0.124186, 0.744995,
-0.565258, 0.326352, 0.766044, 0.000000, -0.566200, 0.326900, 0.756700, 0.221098, 0.876330,
-0.326352, 0.565258, 0.766044, 0.000000, -0.326900, 0.566200, 0.756700, 0.339036, 0.876330,
-0.761570, 0.439693, 0.500000, 0.000000, -0.753400, 0.435000, 0.493200, 0.124186, 0.744995,
-0.326352, 0.565258, 0.766044, 0.000000, -0.326900, 0.566200, 0.756700, 0.339036, 0.876330,
-0.439693, 0.761570, 0.500000, 0.000000, -0.435000, 0.753400, 0.493200, 0.283084, 0.744995,
-0.565258, 0.326352, -0.766044, 0.000000, -0.566200, 0.326900, -0.756700, 0.221098, 0.119997,
-0.761570, 0.439693, -0.500000, 0.000000, -0.753400, 0.435000, -0.493200, 0.124186, 0.251333,
-0.439693, 0.761570, -0.500000, 0.000000, -0.435000, 0.753400, -0.493200, 0.283084, 0.251333,
-0.565258, 0.326352, -0.766044, 0.000000, -0.566200, 0.326900, -0.756700, 0.221098, 0.119997,
-0.439693, 0.761570, -0.500000, 0.000000, -0.435000, 0.753400, -0.493200, 0.283084, 0.251333,
-0.326352, 0.565258, -0.766044, 0.000000, -0.326900, 0.566200, -0.756700, 0.339036, 0.119997,
-0.866025, 0.500000, 0.173648, 0.000000, -0.853200, 0.492600, 0.171300, 0.072621, 0.583887,
-0.761570, 0.439693, 0.500000, 0.000000, -0.753400, 0.435000, 0.493200, 0.124186, 0.744995,
-0.439693, 0.761570, 0.500000, 0.000000, -0.435000, 0.753400, 0.493200, 0.283084, 0.744995,
-0.866025, 0.500000, 0.173648, 0.000000, -0.853200, 0.492600, 0.171300, 0.072621, 0.583887,
-0.439693, 0.761570, 0.500000, 0.000000, -0.435000, 0.753400, 0.493200, 0.283084, 0.744995,
-0.500000, 0.866026, 0.173648, 0.000000, -0.492600, 0.853200, 0.171300, 0.253313, 0.583887,
-0.300767, 0.173648, 0.939693, 0.000000, -0.313900, 0.181300, 0.932000, 0.351667, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
-0.173648, 0.300767, 0.939693, 0.000000, -0.181300, 0.313900, 0.932000, 0.414420, 0.962054,
-0.300767, 0.173648, -0.939693, 0.000000, -0.313900, 0.181300, -0.932000, 0.351667, 0.034274,
-0.565258, 0.326352, -0.766044, 0.000000, -0.566200, 0.326900, -0.756700, 0.221098, 0.119997,
-0.326352, 0.565258, -0.766044, 0.000000, -0.326900, 0.566200, -0.756700, 0.339036, 0.119997,
-0.300767, 0.173648, -0.939693, 0.000000, -0.313900, 0.181300, -0.932000, 0.351667, 0.034274,
-0.326352, 0.565258, -0.766044, 0.000000, -0.326900, 0.566200, -0.756700, 0.339036, 0.119997,
-0.173648, 0.300768, -0.939693, 0.000000, -0.181300, 0.313900, -0.932000, 0.414420, 0.034273,
-0.866025, 0.500000, -0.173648, 0.000000, -0.853200, 0.492600, -0.171300, 0.072621, 0.412440,
-0.866025, 0.500000, 0.173648, 0.000000, -0.853200, 0.492600, 0.171300, 0.072621, 0.583887,
-0.500000, 0.866026, 0.173648, 0.000000, -0.492600, 0.853200, 0.171300, 0.253313, 0.583887,
-0.866025, 0.500000, -0.173648, 0.000000, -0.853200, 0.492600, -0.171300, 0.072621, 0.412440,
-0.500000, 0.866026, 0.173648, 0.000000, -0.492600, 0.853200, 0.171300, 0.253313, 0.583887,
-0.500000, 0.866025, -0.173648, 0.000000, -0.492600, 0.853200, -0.171300, 0.253313, 0.412440,
-0.565258, 0.326352, 0.766044, 0.000000, -0.566200, 0.326900, 0.756700, 0.221098, 0.876330,
-0.300767, 0.173648, 0.939693, 0.000000, -0.313900, 0.181300, 0.932000, 0.351667, 0.962054,
-0.173648, 0.300767, 0.939693, 0.000000, -0.181300, 0.313900, 0.932000, 0.414420, 0.962054,
-0.565258, 0.326352, 0.766044, 0.000000, -0.566200, 0.326900, 0.756700, 0.221098, 0.876330,
-0.173648, 0.300767, 0.939693, 0.000000, -0.181300, 0.313900, 0.932000, 0.414420, 0.962054,
-0.326352, 0.565258, 0.766044, 0.000000, -0.326900, 0.566200, 0.756700, 0.339036, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
-0.300767, 0.173648, -0.939693, 0.000000, -0.313900, 0.181300, -0.932000, 0.351667, 0.034274,
-0.173648, 0.300768, -0.939693, 0.000000, -0.181300, 0.313900, -0.932000, 0.414420, 0.034273,
-0.761570, 0.439693, -0.500000, 0.000000, -0.753400, 0.435000, -0.493200, 0.124186, 0.251333,
-0.866025, 0.500000, -0.173648, 0.000000, -0.853200, 0.492600, -0.171300, 0.072621, 0.412440,
-0.500000, 0.866025, -0.173648, 0.000000, -0.492600, 0.853200, -0.171300, 0.253313, 0.412440,
-0.761570, 0.439693, -0.500000, 0.000000, -0.753400, 0.435000, -0.493200, 0.124186, 0.251333,
-0.500000, 0.866025, -0.173648, 0.000000, -0.492600, 0.853200, -0.171300, 0.253313, 0.412440,
-0.439693, 0.761570, -0.500000, 0.000000, -0.435000, 0.753400, -0.493200, 0.283084, 0.251333,
-0.173648, 0.300767, 0.939693, 0.000000, -0.181300, 0.313900, 0.932000, 0.414420, 0.962054,
0.000000, 0.000000, 1.000000, 0.000000, -0.000000, -0.000000, 1.000000, 0.500144, 0.991825,
0.000000, 0.347296, 0.939693, 0.000000, -0.000000, 0.362500, 0.932000, 0.500144, 0.962054,
-0.173648, 0.300768, -0.939693, 0.000000, -0.181300, 0.313900, -0.932000, 0.414420, 0.034273,
-0.326352, 0.565258, -0.766044, 0.000000, -0.326900, 0.566200, -0.756700, 0.339036, 0.119997,
0.000000, 0.652704, -0.766044, 0.000000, -0.000000, 0.653800, -0.756700, 0.500144, 0.119997,
-0.173648, 0.300768, -0.939693, 0.000000, -0.181300, 0.313900, -0.932000, 0.414420, 0.034273,
0.000000, 0.652704, -0.766044, 0.000000, -0.000000, 0.653800, -0.756700, 0.500144, 0.119997,
0.000000, 0.347296, -0.939693, 0.000000, -0.000000, 0.362500, -0.932000, 0.500144, 0.034273,
-0.500000, 0.866025, -0.173648, 0.000000, -0.492600, 0.853200, -0.171300, 0.253313, 0.412440,
-0.500000, 0.866026, 0.173648, 0.000000, -0.492600, 0.853200, 0.171300, 0.253313, 0.583887,
0.000000, 1.000000, 0.173648, 0.000000, -0.000000, 0.985200, 0.171300, 0.500144, 0.583887,
-0.500000, 0.866025, -0.173648, 0.000000, -0.492600, 0.853200, -0.171300, 0.253313, 0.412440,
0.000000, 1.000000, 0.173648, 0.000000, -0.000000, 0.985200, 0.171300, 0.500144, 0.583887,
0.000000, 1.000000, -0.173648, 0.000000, -0.000000, 0.985200, -0.171300, 0.500144, 0.412440,
-0.326352, 0.565258, 0.766044, 0.000000, -0.326900, 0.566200, 0.756700, 0.339036, 0.876330,
-0.173648, 0.300767, 0.939693, 0.000000, -0.181300, 0.313900, 0.932000, 0.414420, 0.962054,
0.000000, 0.347296, 0.939693, 0.000000, -0.000000, 0.362500, 0.932000, 0.500144, 0.962054,
-0.326352, 0.565258, 0.766044, 0.000000, -0.326900, 0.566200, 0.756700, 0.339036, 0.876330,
0.000000, 0.347296, 0.939693, 0.000000, -0.000000, 0.362500, 0.932000, 0.500144, 0.962054,
0.000000, 0.652704, 0.766044, 0.000000, -0.000000, 0.653800, 0.756700, 0.500144, 0.876330,
0.000000, 0.000000, -1.000000, 0.000000, 0.000000, -0.000000, -1.000000, 0.500144, 0.004502,
-0.173648, 0.300768, -0.939693, 0.000000, -0.181300, 0.313900, -0.932000, 0.414420, 0.034273,
0.000000, 0.347296, -0.939693, 0.000000, -0.000000, 0.362500, -0.932000, 0.500144, 0.034273,
-0.439693, 0.761570, -0.500000, 0.000000, -0.435000, 0.753400, -0.493200, 0.283084, 0.251333,
-0.500000, 0.866025, -0.173648, 0.000000, -0.492600, 0.853200, -0.171300, 0.253313, 0.412440,
0.000000, 1.000000, -0.173648, 0.000000, -0.000000, 0.985200, -0.171300, 0.500144, 0.412440,
-0.439693, 0.761570, -0.500000, 0.000000, -0.435000, 0.753400, -0.493200, 0.283084, 0.251333,
0.000000, 1.000000, -0.173648, 0.000000, -0.000000, 0.985200, -0.171300, 0.500144, 0.412440,
0.000000, 0.879385, -0.500000, 0.000000, -0.000000, 0.869900, -0.493200, 0.500144, 0.251333,
-0.439693, 0.761570, 0.500000, 0.000000, -0.435000, 0.753400, 0.493200, 0.283084, 0.744995,
-0.326352, 0.565258, 0.766044, 0.000000, -0.326900, 0.566200, 0.756700, 0.339036, 0.876330,
0.000000, 0.652704, 0.766044, 0.000000, -0.000000, 0.653800, 0.756700, 0.500144, 0.876330,
-0.439693, 0.761570, 0.500000, 0.000000, -0.435000, 0.753400, 0.493200, 0.283084, 0.744995,
0.000000, 0.652704, 0.766044, 0.000000, -0.000000, 0.653800, 0.756700, 0.500144, 0.876330,
0.000000, 0.879385, 0.500000, 0.000000, 0.000000, 0.869900, 0.493200, 0.500144, 0.744995,
-0.326352, 0.565258, -0.766044, 0.000000, -0.326900, 0.566200, -0.756700, 0.339036, 0.119997,
-0.439693, 0.761570, -0.500000, 0.000000, -0.435000, 0.753400, -0.493200, 0.283084, 0.251333,
0.000000, 0.879385, -0.500000, 0.000000, -0.000000, 0.869900, -0.493200, 0.500144, 0.251333,
-0.326352, 0.565258, -0.766044, 0.000000, -0.326900, 0.566200, -0.756700, 0.339036, 0.119997,
0.000000, 0.879385, -0.500000, 0.000000, -0.000000, 0.869900, -0.493200, 0.500144, 0.251333,
0.000000, 0.652704, -0.766044, 0.000000, -0.000000, 0.653800, -0.756700, 0.500144, 0.119997,
-0.500000, 0.866026, 0.173648, 0.000000, -0.492600, 0.853200, 0.171300, 0.253313, 0.583887,
-0.439693, 0.761570, 0.500000, 0.000000, -0.435000, 0.753400, 0.493200, 0.283084, 0.744995,
0.000000, 0.879385, 0.500000, 0.000000, 0.000000, 0.869900, 0.493200, 0.500144, 0.744995,
-0.500000, 0.866026, 0.173648, 0.000000, -0.492600, 0.853200, 0.171300, 0.253313, 0.583887,
0.000000, 0.879385, 0.500000, 0.000000, 0.000000, 0.869900, 0.493200, 0.500144, 0.744995,
0.000000, 1.000000, 0.173648, 0.000000, -0.000000, 0.985200, 0.171300, 0.500144, 0.583887,
};

static const int textured_sphere_indices[] = {
0,1,2,
3,4,5,
6,7,8,
9,10,11,
12,13,14,
15,16,17,
18,19,20,
21,22,23,
24,25,26,
27,28,29,
30,31,32,
33,34,35,
36,37,38,
39,40,41,
42,43,44,
45,46,47,
48,49,50,
51,52,53,
54,55,56,
57,58,59,
60,61,62,
63,64,65,
66,67,68,
69,70,71,
72,73,74,
75,76,77,
78,79,80,
81,82,83,
84,85,86,
87,88,89,
90,91,92,
93,94,95,
96,97,98,
99,100,101,
102,103,104,
105,106,107,
108,109,110,
111,112,113,
114,115,116,
117,118,119,
120,121,122,
123,124,125,
126,127,128,
129,130,131,
132,133,134,
135,136,137,
138,139,140,
141,142,143,
144,145,146,
147,148,149,
150,151,152,
153,154,155,
156,157,158,
159,160,161,
162,163,164,
165,166,167,
168,169,170,
171,172,173,
174,175,176,
177,178,179,
180,181,182,
183,184,185,
186,187,188,
189,190,191,
192,193,194,
195,196,197,
198,199,200,
201,202,203,
204,205,206,
207,208,209,
210,211,212,
213,214,215,
216,217,218,
219,220,221,
222,223,224,
225,226,227,
228,229,230,
231,232,233,
234,235,236,
237,238,239,
240,241,242,
243,244,245,
246,247,248,
249,250,251,
252,253,254,
255,256,257,
258,259,260,
261,262,263,
264,265,266,
267,268,269,
270,271,272,
273,274,275,
276,277,278,
279,280,281,
282,283,284,
285,286,287,
288,289,290,
291,292,293,
294,295,296,
297,298,299,
300,301,302,
303,304,305,
306,307,308,
309,310,311,
312,313,314,
315,316,317,
318,319,320,
321,322,323,
324,325,326,
327,328,329,
330,331,332,
333,334,335,
336,337,338,
339,340,341,
342,343,344,
345,346,347,
348,349,350,
351,352,353,
354,355,356,
357,358,359,
360,361,362,
363,364,365,
366,367,368,
369,370,371,
372,373,374,
375,376,377,
378,379,380,
381,382,383,
384,385,386,
387,388,389,
390,391,392,
393,394,395,
396,397,398,
399,400,401,
402,403,404,
405,406,407,
408,409,410,
411,412,413,
414,415,416,
417,418,419,
420,421,422,
423,424,425,
426,427,428,
429,430,431,
432,433,434,
435,436,437,
438,439,440,
441,442,443,
444,445,446,
447,448,449,
450,451,452,
453,454,455,
456,457,458,
459,460,461,
462,463,464,
465,466,467,
468,469,470,
471,472,473,
474,475,476,
477,478,479,
480,481,482,
483,484,485,
486,487,488,
489,490,491,
492,493,494,
495,496,497,
498,499,500,
501,502,503,
504,505,506,
507,508,509,
510,511,512,
513,514,515,
516,517,518,
519,520,521,
522,523,524,
525,526,527,
528,529,530,
531,532,533,
534,535,536,
537,538,539,
540,541,542,
543,544,545,
546,547,548,
549,550,551,
552,553,554,
555,556,557,
558,559,560,
561,562,563,
564,565,566,
567,568,569,
570,571,572,
573,574,575,
};

#endif  // TINY_SHAPE_DATA_H
